static const short int hfInfo[97] = {0,3,22,35,60,115,180,251,268,291,314,333,346,363,370,383,390,427,438,469,502,517,554,603,616,677,726,751,780,789,802,811,854,967,986,1035,1074,1107,1132,1151,1198,1217,1224,1247,1266,1279,1304,1323,1368,1397,1448,1483,1526,1539,1562,1575,1600,1613,1628,1647,1672,1679,1704,1717,1724,1741,1778,1815,1846,1883,1920,1939,1986,2009,2028,2053,2072,2079,2118,2141,2178,2215,2252,2271,2308,2327,2350,2363,2388,2401,2422,2441,2522,2529,2610,2659,2730};
static const signed char hfData[2730] = {
/* 32: ' ' */
-8,8,18,
/* 33: '!' */
-1,1,4,1,-12,1,2,-128,-128,1,7,0,8,1,9,2,8,1,7,
/* 34: '"' */
-4,4,10,0,-12,0,-5,-128,-128,8,-12,8,-5,
/* 35: '#' */
-7,8,17,8,-16,1,16,-128,-128,14,-16,7,16,-128,-128,1,-3,15,-3,-128,-128,0,3,14,3,
/* 36: '$' */
-7,7,16,5,-16,5,13,-128,-128,9,-16,9,13,-128,-128,14,-9,12,-11,9,-12,5,-12,2,-11,0,-9,0,-7,1,-5,2,-4,4,-3,10,-1,12,0,13,1,14,3,14,6,12,8,9,9,5,9,2,8,0,6,
/* 37: '%' */
-9,9,20,18,-12,0,9,-128,-128,5,-12,7,-10,7,-8,6,-6,4,-5,2,-5,0,-7,0,-9,1,-11,3,-12,5,-12,7,-11,10,-10,13,-10,16,-11,18,-12,-128,-128,14,2,12,3,11,5,11,7,13,9,15,9,17,8,18,6,18,4,16,2,14,2,
/* 38: '&' */
-10,10,22,20,-3,20,-4,19,-5,18,-5,17,-4,16,-2,14,3,12,6,10,8,8,9,4,9,2,8,1,7,0,5,0,3,1,1,2,0,9,-4,10,-5,11,-7,11,-9,10,-11,8,-12,6,-11,5,-9,5,-7,6,-4,8,-1,13,6,15,8,17,9,19,9,20,8,20,7,
/* 39: ''' */
-1,1,4,1,-10,0,-11,1,-12,2,-11,2,-9,1,-7,0,-6,
/* 40: '(' */
-3,4,9,7,-16,5,-14,3,-11,1,-7,0,-2,0,2,1,7,3,11,5,14,7,16,
/* 41: ')' */
-4,3,9,0,-16,2,-14,4,-11,6,-7,7,-2,7,2,6,7,4,11,2,14,0,16,
/* 42: '*' */
-5,5,12,5,-6,5,6,-128,-128,0,-3,10,3,-128,-128,10,-3,0,3,
/* 43: '+' */
-9,9,20,9,-9,9,9,-128,-128,0,0,18,0,
/* 44: ',' */
-1,1,4,2,5,1,6,0,5,1,4,2,5,2,7,0,9,
/* 45: '-' */
-9,9,20,0,0,18,0,
/* 46: '.' */
-1,1,4,1,4,0,5,1,6,2,5,1,4,
/* 47: '/' */
-9,9,20,18,-16,0,16,
/* 48: '0' */
-7,7,16,6,-12,3,-11,1,-8,0,-3,0,0,1,5,3,8,6,9,8,9,11,8,13,5,14,0,14,-3,13,-8,11,-11,8,-12,6,-12,
/* 49: '1' */
-4,1,7,0,-8,2,-9,5,-12,5,9,
/* 50: '2' */
-7,7,16,1,-7,1,-8,2,-10,3,-11,5,-12,9,-12,11,-11,12,-10,13,-8,13,-6,12,-4,10,-1,0,9,14,9,
/* 51: '3' */
-7,7,16,2,-12,13,-12,7,-4,10,-4,12,-3,13,-2,14,1,14,3,13,6,11,8,8,9,5,9,2,8,1,7,0,5,
/* 52: '4' */
-7,8,17,10,-12,0,2,15,2,-128,-128,10,-12,10,9,
/* 53: '5' */
-7,7,16,12,-12,2,-12,1,-3,2,-4,5,-5,8,-5,11,-4,13,-2,14,1,14,3,13,6,11,8,8,9,5,9,2,8,1,7,0,5,
/* 54: '6' */
-6,7,15,12,-9,11,-11,8,-12,6,-12,3,-11,1,-8,0,-3,0,2,1,6,3,8,6,9,7,9,10,8,12,6,13,3,13,2,12,-1,10,-3,7,-4,6,-4,3,-3,1,-1,0,2,
/* 55: '7' */
-7,7,16,14,-12,4,9,-128,-128,0,-12,14,-12,
/* 56: '8' */
-7,7,16,5,-12,2,-11,1,-9,1,-7,2,-5,4,-4,8,-3,11,-2,13,0,14,2,14,5,13,7,12,8,9,9,5,9,2,8,1,7,0,5,0,2,1,0,3,-2,6,-3,10,-4,12,-5,13,-7,13,-9,12,-11,9,-12,5,-12,
/* 57: '9' */
-7,6,15,13,-5,12,-2,10,0,7,1,6,1,3,0,1,-2,0,-5,0,-6,1,-9,3,-11,6,-12,7,-12,10,-11,12,-9,13,-5,13,0,12,5,10,8,7,9,5,9,2,8,1,6,
/* 58: ':' */
-1,1,4,1,-3,0,-2,1,-1,2,-2,1,-3,-128,-128,1,4,0,5,1,6,2,5,1,4,
/* 59: ';' */
-1,1,4,1,-3,0,-2,1,-1,2,-2,1,-3,-128,-128,2,5,1,6,0,5,1,4,2,5,2,7,0,9,
/* 60: '<' */
-8,8,18,16,-9,0,0,16,9,
/* 61: '=' */
-9,9,20,0,-3,18,-3,-128,-128,0,3,18,3,
/* 62: '>' */
-8,8,18,0,-9,16,0,0,9,
/* 63: '?' */
-6,6,14,0,-7,0,-8,1,-10,2,-11,4,-12,8,-12,10,-11,11,-10,12,-8,12,-6,11,-4,10,-3,6,-1,6,2,-128,-128,6,7,5,8,6,9,7,8,6,7,
/* 64: '@' */
-10,11,23,15,-4,14,-6,12,-7,9,-7,7,-6,6,-5,5,-2,5,1,6,3,8,4,11,4,13,3,14,1,-128,-128,9,-7,7,-5,6,-2,6,1,7,3,8,4,-128,-128,15,-7,14,1,14,3,16,4,18,4,20,2,21,-1,21,-3,20,-6,19,-8,17,-10,15,-11,12,-12,9,-12,6,-11,4,-10,2,-8,1,-6,0,-3,0,0,1,3,2,5,4,7,6,8,9,9,12,9,15,8,17,7,18,6,-128,-128,16,-7,15,1,15,3,16,4,
/* 65: 'A' */
-8,8,18,8,-12,0,9,-128,-128,8,-12,16,9,-128,-128,3,2,13,2,
/* 66: 'B' */
-7,7,16,0,-12,0,9,-128,-128,0,-12,9,-12,12,-11,13,-10,14,-8,14,-6,13,-4,12,-3,9,-2,-128,-128,0,-2,9,-2,12,-1,13,0,14,2,14,5,13,7,12,8,9,9,0,9,
/* 67: 'C' */
-7,8,17,15,-7,14,-9,12,-11,10,-12,6,-12,4,-11,2,-9,1,-7,0,-4,0,1,1,4,2,6,4,8,6,9,10,9,12,8,14,6,15,4,
/* 68: 'D' */
-7,7,16,0,-12,0,9,-128,-128,0,-12,7,-12,10,-11,12,-9,13,-7,14,-4,14,1,13,4,12,6,10,8,7,9,0,9,
/* 69: 'E' */
-6,7,15,0,-12,0,9,-128,-128,0,-12,13,-12,-128,-128,0,-2,8,-2,-128,-128,0,9,13,9,
/* 70: 'F' */
-6,7,15,0,-12,0,9,-128,-128,0,-12,13,-12,-128,-128,0,-2,8,-2,
/* 71: 'G' */
-7,8,17,15,-7,14,-9,12,-11,10,-12,6,-12,4,-11,2,-9,1,-7,0,-4,0,1,1,4,2,6,4,8,6,9,10,9,12,8,14,6,15,4,15,1,-128,-128,10,1,15,1,
/* 72: 'H' */
-7,7,16,0,-12,0,9,-128,-128,14,-12,14,9,-128,-128,0,-2,14,-2,
/* 73: 'I' */
0,0,2,0,-12,0,9,
/* 74: 'J' */
-6,4,12,10,-12,10,4,9,7,8,8,6,9,4,9,2,8,1,7,0,4,0,2,
/* 75: 'K' */
-7,7,16,0,-12,0,9,-128,-128,14,-12,0,2,-128,-128,5,-3,14,9,
/* 76: 'L' */
-6,6,14,0,-12,0,9,-128,-128,0,9,12,9,
/* 77: 'M' */
-8,8,18,0,-12,0,9,-128,-128,0,-12,8,9,-128,-128,16,-12,8,9,-128,-128,16,-12,16,9,
/* 78: 'N' */
-7,7,16,0,-12,0,9,-128,-128,0,-12,14,9,-128,-128,14,-12,14,9,
/* 79: 'O' */
-8,8,18,6,-12,4,-11,2,-9,1,-7,0,-4,0,1,1,4,2,6,4,8,6,9,10,9,12,8,14,6,15,4,16,1,16,-4,15,-7,14,-9,12,-11,10,-12,6,-12,
/* 80: 'P' */
-7,7,16,0,-12,0,9,-128,-128,0,-12,9,-12,12,-11,13,-10,14,-8,14,-5,13,-3,12,-2,9,-1,0,-1,
/* 81: 'Q' */
-8,8,18,6,-12,4,-11,2,-9,1,-7,0,-4,0,1,1,4,2,6,4,8,6,9,10,9,12,8,14,6,15,4,16,1,16,-4,15,-7,14,-9,12,-11,10,-12,6,-12,-128,-128,9,5,15,11,
/* 82: 'R' */
-7,7,16,0,-12,0,9,-128,-128,0,-12,9,-12,12,-11,13,-10,14,-8,14,-6,13,-4,12,-3,9,-2,0,-2,-128,-128,7,-2,14,9,
/* 83: 'S' */
-7,7,16,14,-9,12,-11,9,-12,5,-12,2,-11,0,-9,0,-7,1,-5,2,-4,4,-3,10,-1,12,0,13,1,14,3,14,6,12,8,9,9,5,9,2,8,0,6,
/* 84: 'T' */
-7,7,16,7,-12,7,9,-128,-128,0,-12,14,-12,
/* 85: 'U' */
-7,7,16,0,-12,0,3,1,6,3,8,6,9,8,9,11,8,13,6,14,3,14,-12,
/* 86: 'V' */
-8,8,18,0,-12,8,9,-128,-128,16,-12,8,9,
/* 87: 'W' */
-10,10,22,0,-12,5,9,-128,-128,10,-12,5,9,-128,-128,10,-12,15,9,-128,-128,20,-12,15,9,
/* 88: 'X' */
-7,7,16,0,-12,14,9,-128,-128,14,-12,0,9,
/* 89: 'Y' */
-8,8,18,0,-12,8,-2,8,9,-128,-128,16,-12,8,-2,
/* 90: 'Z' */
-7,7,16,14,-12,0,9,-128,-128,0,-12,14,-12,-128,-128,0,9,14,9,
/* 91: '[' */
-3,4,9,0,-16,0,16,-128,-128,1,-16,1,16,-128,-128,0,-16,7,-16,-128,-128,0,16,7,16,
/* 92: '\' */
-7,7,16,0,-12,14,12,
/* 93: ']' */
-4,3,9,6,-16,6,16,-128,-128,7,-16,7,16,-128,-128,0,-16,7,-16,-128,-128,0,16,7,16,
/* 94: '^' */
-8,8,18,8,-14,0,0,-128,-128,8,-14,16,0,
/* 95: '_' */
-9,9,20,0,16,18,16,
/* 96: '`' */
-1,1,4,2,-7,0,-5,0,-3,1,-2,2,-3,1,-4,0,-3,
/* 97: 'a' */
-6,6,14,12,-5,12,9,-128,-128,12,-2,10,-4,8,-5,5,-5,3,-4,1,-2,0,1,0,3,1,6,3,8,5,9,8,9,10,8,12,6,
/* 98: 'b' */
-6,6,14,0,-12,0,9,-128,-128,0,-2,2,-4,4,-5,7,-5,9,-4,11,-2,12,1,12,3,11,6,9,8,7,9,4,9,2,8,0,6,
/* 99: 'c' */
-6,6,14,12,-2,10,-4,8,-5,5,-5,3,-4,1,-2,0,1,0,3,1,6,3,8,5,9,8,9,10,8,12,6,
/* 100: 'd' */
-6,6,14,12,-12,12,9,-128,-128,12,-2,10,-4,8,-5,5,-5,3,-4,1,-2,0,1,0,3,1,6,3,8,5,9,8,9,10,8,12,6,
/* 101: 'e' */
-6,6,14,0,1,12,1,12,-1,11,-3,10,-4,8,-5,5,-5,3,-4,1,-2,0,1,0,3,1,6,3,8,5,9,8,9,10,8,12,6,
/* 102: 'f' */
-3,5,10,8,-12,6,-12,4,-11,3,-8,3,9,-128,-128,0,-5,7,-5,
/* 103: 'g' */
-6,6,14,12,-5,12,11,11,14,10,15,8,16,5,16,3,15,-128,-128,12,-2,10,-4,8,-5,5,-5,3,-4,1,-2,0,1,0,3,1,6,3,8,5,9,8,9,10,8,12,6,
/* 104: 'h' */
-5,6,13,0,-12,0,9,-128,-128,0,-1,3,-4,5,-5,8,-5,10,-4,11,-1,11,9,
/* 105: 'i' */
-1,1,4,0,-12,1,-11,2,-12,1,-13,0,-12,-128,-128,1,-5,1,9,
/* 106: 'j' */
-4,2,8,4,-12,5,-11,6,-12,5,-13,4,-12,-128,-128,5,-5,5,12,4,15,2,16,0,16,
/* 107: 'k' */
-5,6,13,0,-12,0,9,-128,-128,10,-5,0,5,-128,-128,4,1,11,9,
/* 108: 'l' */
0,0,2,0,-12,0,9,
/* 109: 'm' */
-11,11,24,0,-5,0,9,-128,-128,0,-1,3,-4,5,-5,8,-5,10,-4,11,-1,11,9,-128,-128,11,-1,14,-4,16,-5,19,-5,21,-4,22,-1,22,9,
/* 110: 'n' */
-5,6,13,0,-5,0,9,-128,-128,0,-1,3,-4,5,-5,8,-5,10,-4,11,-1,11,9,
/* 111: 'o' */
-6,7,15,5,-5,3,-4,1,-2,0,1,0,3,1,6,3,8,5,9,8,9,10,8,12,6,13,3,13,1,12,-2,10,-4,8,-5,5,-5,
/* 112: 'p' */
-6,6,14,0,-5,0,16,-128,-128,0,-2,2,-4,4,-5,7,-5,9,-4,11,-2,12,1,12,3,11,6,9,8,7,9,4,9,2,8,0,6,
/* 113: 'q' */
-6,6,14,12,-5,12,16,-128,-128,12,-2,10,-4,8,-5,5,-5,3,-4,1,-2,0,1,0,3,1,6,3,8,5,9,8,9,10,8,12,6,
/* 114: 'r' */
-3,5,10,0,-5,0,9,-128,-128,0,1,1,-2,3,-4,5,-5,8,-5,
/* 115: 's' */
-5,6,13,11,-2,10,-4,7,-5,4,-5,1,-4,0,-2,1,0,3,1,8,2,10,3,11,5,11,6,10,8,7,9,4,9,1,8,0,6,
/* 116: 't' */
-3,5,10,3,-12,3,5,4,8,6,9,8,9,-128,-128,0,-5,7,-5,
/* 117: 'u' */
-5,6,13,0,-5,0,5,1,8,3,9,6,9,8,8,11,5,-128,-128,11,-5,11,9,
/* 118: 'v' */
-6,6,14,0,-5,6,9,-128,-128,12,-5,6,9,
/* 119: 'w' */
-8,8,18,0,-5,4,9,-128,-128,8,-5,4,9,-128,-128,8,-5,12,9,-128,-128,16,-5,12,9,
/* 120: 'x' */
-5,6,13,0,-5,11,9,-128,-128,11,-5,0,9,
/* 121: 'y' */
-7,6,15,1,-5,7,9,-128,-128,13,-5,7,9,5,13,3,15,1,16,0,16,
/* 122: 'z' */
-5,6,13,11,-5,0,9,-128,-128,0,-5,11,-5,-128,-128,0,9,11,9,
/* 123: '{' */
-3,2,7,5,-16,3,-15,2,-14,1,-12,1,-10,2,-8,3,-7,4,-5,4,-3,2,-1,-128,-128,3,-15,2,-13,2,-11,3,-9,4,-8,5,-6,5,-4,4,-2,0,0,4,2,5,4,5,6,4,8,3,9,2,11,2,13,3,15,-128,-128,2,1,4,3,4,5,3,7,2,8,1,10,1,12,2,14,3,15,5,16,
/* 124: '|' */
0,0,2,0,-16,0,16,
/* 125: '}' */
-2,3,7,0,-16,2,-15,3,-14,4,-12,4,-10,3,-8,2,-7,1,-5,1,-3,3,-1,-128,-128,2,-15,3,-13,3,-11,2,-9,1,-8,0,-6,0,-4,1,-2,5,0,1,2,0,4,0,6,1,8,2,9,3,11,3,13,2,15,-128,-128,3,1,1,3,1,5,2,7,3,8,4,10,4,12,3,14,2,15,0,16,
/* 126: '~' */
-9,9,20,0,3,0,1,1,-2,3,-3,5,-3,7,-2,11,1,13,2,15,2,17,1,18,-1,-128,-128,0,1,1,-1,3,-2,5,-2,7,-1,11,2,13,3,15,3,17,2,18,-1,18,-3,
/* 127: '' */
-8,8,18,0,-12,0,9,1,9,1,-12,2,-12,2,9,3,9,3,-12,4,-12,4,9,5,9,5,-12,6,-12,6,9,7,9,7,-12,8,-12,8,9,9,9,9,-12,10,-12,10,9,11,9,11,-12,12,-12,12,9,13,9,13,-12,14,-12,14,9,15,9,15,-12,16,-12,16,9,
};
